import {
  myDefinitionList,
} from '../../../api/flowable'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    pamams: {
      pageNum: 1,
      pageSize: 10
    },
    listData: [],
  },

  addInfo(e) {
    let {
      id,
      category,
      deploymentId
    } = e.currentTarget.dataset.set
    wx.redirectTo({
      url: `../initTask/index?procDefId=${id}&category=${category}&deploymentId=${deploymentId}`,
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.getListData();
  },

  /**
   * 查询项目举牌验收数据
   */
  getListData() {
    myDefinitionList(this.data.pamams).then(res => {
      if(res.data.records.length>0){
        this.setData({
          listData: res.data.records
        })
      }
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  returnToPage: function () {
    /*关闭当前页面，跳转到应用内的某个页面。但是不允许跳转到 tabbar 页面*/
    wx.redirectTo({
      url: '../../index/index',
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})